<?xml version="1.0" encoding="UTF-8" ?>

<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.2//EN" "http://jakarta.apache.org/struts/dtds/struts-config_1_2.dtd">

<struts-config>

  <!-- ========== Data Sources Definitions =================================== -->
  <!--
    Define your Struts data sources in a file called struts-data-sources.xml and place
    it in your merge directory.
  -->

  <!-- ========== Form Bean Definitions =================================== -->
 <form-beans>   
	<form-bean
		name = "plateForm"
		type = "cn.com.xunuo.webapp.form.PlateForm"
	/>
	<form-bean
		name="sysuserroleForm"
		type="cn.com.xunuo.webapp.form.SysuserroleForm"
    />
	<form-bean
		name="sysmoduleForm"
		type="cn.com.xunuo.webapp.form.SysmoduleForm"
    />
	<form-bean
		name="articleForm"
		type="cn.com.xunuo.webapp.form.ArticleForm"
    />
	<form-bean
		name="browserForm"
		type="cn.com.xunuo.webapp.form.BrowserForm"
    />
    <!--
         If you have non XDoclet forms, define them in a file called struts-forms.xml and
         place it in your merge directory.
    -->
  </form-beans>
  <!-- ========== Action Mapping Definitions =================================== -->
   <action-mappings>     
   <!-- Plate start -->
	<!--Plate Unconditional search -->
    <action
      path="/sys/plate/searchPlate"
      type="cn.com.xunuo.webapp.action.PlateAction"
      name="plateForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	  <forward
        name="success"
        path="/sys/plate/plateindex.jsp"
        redirect="false"
      />
	<forward
        name="sysErrorPage"
        path="/sys/login.jsp"
        redirect="false"
      />
    </action>

    <action
      path="/sys/plate/setOne2One"
      type="cn.com.xunuo.webapp.action.PlateAction"
      name="plateForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="view"
        path="/sys/plate/plateSet121.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/plate/plateClose.jsp"
        redirect="false"
      />
	  <forward
        name="window"
        path="/sys/plate/plateSet121Window.jsp"
        redirect="false"
      />
	  <forward
        name="iframe"
        path="/sys/plate/plateSet121Iframe.jsp"
        redirect="false"
      />
	  <forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
    </action>

    <action
      path="/sys/plate/searchPlateData"
      type="cn.com.xunuo.webapp.action.PlateAction"
      name="plateForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/plate/plateAllData.jsp"
        redirect="false"
      />
	  <forward
        name="tree"
        path="/sys/plate/tree/Tree.jsp"
        redirect="false"
      />
    </action>

    <action
      path="/sys/plate/searchArticleInputPlate"
      type="cn.com.xunuo.webapp.action.PlateAction"
      name="plateForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="sysErrorPage"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/article/articleInputColumnData.jsp"
        redirect="false"
      />
    </action>

    <action
      path="/sys/plate/searchArticleCheckPlate"
      type="cn.com.xunuo.webapp.action.PlateAction"
      name="plateForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="sysErrorPage"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/article/articleCheckColumnData.jsp"
        redirect="false"
      />
    </action>
	<!--Plate Search the function -->
    <action
      path="/sys/plate/findPlate"
      type="cn.com.xunuo.webapp.action.PlateAction"
      name="plateForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/plate/plateindex.jsp"
        redirect="false"
      />
    </action>

	<!--Plate Add the function -->
    <action
      path="/sys/plate/addPlate"
      type="cn.com.xunuo.webapp.action.PlateAction"
      name="plateForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/plate/plateedit.jsp"
        redirect="false"
      />
    </action>

	<!--Plate Edit the function -->
    <action
      path="/sys/plate/editPlate"
      type="cn.com.xunuo.webapp.action.PlateAction"
      name="plateForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/plate/plateedit.jsp"
        redirect="false"
      />
    </action>

	<!--Plate Delete the function -->
    <action
      path="/sys/plate/deletePlate"
      type="cn.com.xunuo.webapp.action.PlateAction"
      name="plateForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="sysErrorPage"
        path="/sys/plate/deleteerror.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/plate/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Plate Save the function -->
    <action
      path="/sys/plate/savePlate"
      type="cn.com.xunuo.webapp.action.PlateAction"
      name="plateForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/plate/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Plate View the function -->
    <action
      path="/sys/plate/viewPlate"
      type="cn.com.xunuo.webapp.action.PlateAction"
      name="plateForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/plate/plateview.jsp"
        redirect="false"
      />
    </action>

	<!--Plate Upward movement  -->
    <action
      path="/sys/plate/upPlate"
      type="cn.com.xunuo.webapp.action.PlateAction"
      name="plateForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/plate/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Plate To the mobile   -->
    <action
      path="/sys/plate/downPlate"
      type="cn.com.xunuo.webapp.action.PlateAction"
      name="plateForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/plate/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Plate Movent   -->
    <action
      path="/sys/plate/movePlate"
      type="cn.com.xunuo.webapp.action.PlateAction"
      name="plateForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="window"
        path="/sys/plate/plateMoveWindow.jsp"
        redirect="false"
      />
	<forward
        name="iframe"
        path="/sys/plate/plateMoveIframe.jsp"
        redirect="false"
      />
	  <forward
        name="view"
        path="/sys/plate/plateMove.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/plate/goto.jsp"
        redirect="false"
      />
	  <forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
    </action>
   <!-- Plate end   -->

   <!-- Sysuserrole start -->
	<!--Sysuserrole Unconditional search -->
    <action
      path="/sys/sysuserrole/searchSysuserroleModule"
      type="cn.com.xunuo.webapp.action.SysuserroleAction"
      name="sysuserroleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="view"
        path="/sys/sysuserrole/roleModuleSet.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/sysuserrole/goto.jsp"
        redirect="false"
      />
	  <forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
    </action>
    <action
      path="/sys/sysuserrole/searchSysuserrole"
      type="cn.com.xunuo.webapp.action.SysuserroleAction"
      name="sysuserroleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="sysErrorPage"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/sysuserrole/sysuserroleindex.jsp"
        redirect="false"
      />
    </action>
	<!--Sysuserrole Search the function -->
    <action
      path="/sys/sysuserrole/findSysuserrole"
      type="cn.com.xunuo.webapp.action.SysuserroleAction"
      name="sysuserroleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/sysuserrole/sysuserroleindex.jsp"
        redirect="false"
      />
    </action>

	<!--Sysuserrole Add the function -->
    <action
      path="/sys/sysuserrole/addSysuserrole"
      type="cn.com.xunuo.webapp.action.SysuserroleAction"
      name="sysuserroleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/sysuserrole/sysuserroleedit.jsp"
        redirect="false"
      />
    </action>

	<!--Sysuserrole Edit the function -->
    <action
      path="/sys/sysuserrole/editSysuserrole"
      type="cn.com.xunuo.webapp.action.SysuserroleAction"
      name="sysuserroleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/sysuserrole/sysuserroleedit.jsp"
        redirect="false"
      />
    </action>

	<!--Sysuserrole Delete the function -->
    <action
      path="/sys/sysuserrole/deleteSysuserrole"
      type="cn.com.xunuo.webapp.action.SysuserroleAction"
      name="sysuserroleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/sysuserrole/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Sysuserrole Save the function -->
    <action
      path="/sys/sysuserrole/saveSysuserrole"
      type="cn.com.xunuo.webapp.action.SysuserroleAction"
      name="sysuserroleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/sysuserrole/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Sysuserrole View the function -->
    <action
      path="/sys/sysuserrole/viewSysuserrole"
      type="cn.com.xunuo.webapp.action.SysuserroleAction"
      name="sysuserroleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/sysuserrole/sysuserroleview.jsp"
        redirect="false"
      />
    </action>

	<!--Sysuserrole Upward movement  -->
    <action
      path="/sys/sysuserrole/upSysuserrole"
      type="cn.com.xunuo.webapp.action.SysuserroleAction"
      name="sysuserroleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/sysuserrole/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Sysuserrole To the mobile   -->
    <action
      path="/sys/sysuserrole/downSysuserrole"
      type="cn.com.xunuo.webapp.action.SysuserroleAction"
      name="sysuserroleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/sysuserrole/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Sysuserrole Movent   -->
    <action
      path="/sys/sysuserrole/moveSysuserrole"
      type="cn.com.xunuo.webapp.action.SysuserroleAction"
      name="sysuserroleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/sysuserrole/goto.jsp"
        redirect="false"
      />
    </action>
   <!-- Sysuserrole end   -->

   <!-- Sysmodule start -->
	<!--Sysmodule Unconditional search -->
    <action
      path="/sys/sysmodule/searchSysmodule"
      type="cn.com.xunuo.webapp.action.SysmoduleAction"
      name="sysmoduleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="sysErrorPage"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/sysmodule/sysmoduleindex.jsp"
        redirect="false"
      />
    </action>
	<!--Sysmodule Search the function -->
    <action
      path="/sys/sysmodule/findSysmodule"
      type="cn.com.xunuo.webapp.action.SysmoduleAction"
      name="sysmoduleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/sysmodule/sysmoduleindex.jsp"
        redirect="false"
      />
    </action>

	<!--Sysmodule Add the function -->
    <action
      path="/sys/sysmodule/addSysmodule"
      type="cn.com.xunuo.webapp.action.SysmoduleAction"
      name="sysmoduleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/sysmodule/sysmoduleedit.jsp"
        redirect="false"
      />
    </action>

	<!--Sysmodule Edit the function -->
    <action
      path="/sys/sysmodule/editSysmodule"
      type="cn.com.xunuo.webapp.action.SysmoduleAction"
      name="sysmoduleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/sysmodule/sysmoduleedit.jsp"
        redirect="false"
      />
    </action>

	<!--Sysmodule Delete the function -->
    <action
      path="/sys/sysmodule/deleteSysmodule"
      type="cn.com.xunuo.webapp.action.SysmoduleAction"
      name="sysmoduleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/sysmodule/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Sysmodule Save the function -->
    <action
      path="/sys/sysmodule/saveSysmodule"
      type="cn.com.xunuo.webapp.action.SysmoduleAction"
      name="sysmoduleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/sysmodule/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Sysmodule View the function -->
    <action
      path="/sys/sysmodule/viewSysmodule"
      type="cn.com.xunuo.webapp.action.SysmoduleAction"
      name="sysmoduleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/sysmodule/sysmoduleview.jsp"
        redirect="false"
      />
    </action>

	<!--Sysmodule Upward movement  -->
    <action
      path="/sys/sysmodule/upSysmodule"
      type="cn.com.xunuo.webapp.action.SysmoduleAction"
      name="sysmoduleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/sysmodule/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Sysmodule To the mobile   -->
    <action
      path="/sys/sysmodule/downSysmodule"
      type="cn.com.xunuo.webapp.action.SysmoduleAction"
      name="sysmoduleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/sysmodule/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Sysmodule Movent   -->
    <action
      path="/sys/sysmodule/moveSysmodule"
      type="cn.com.xunuo.webapp.action.SysmoduleAction"
      name="sysmoduleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/sysmodule/goto.jsp"
        redirect="false"
      />
    </action>
   <!-- Sysmodule end   -->



   <!-- Article start -->
	<!--Article Input Unconditional search -->
    <action
      path="/sys/article/checkArticles"
      type="cn.com.xunuo.webapp.action.ArticleAction"
      name="articleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="sysErrorPage"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/article/gotoCheck.jsp"
        redirect="false"
      />
    </action>


    <action
      path="/sys/article/searchInputArticlesByColumnStatus"
      type="cn.com.xunuo.webapp.action.ArticleAction"
      name="articleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="sysErrorPage"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
		name = "notAssignColumn"
		path = "/sys/program/notAssignColumn.jsp"
		redirect="false"
		/>
	 <forward
        name="check"
        path="/sys/article/articleInputSearchCheck.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/article/articleInputSearchInput.jsp"
        redirect="false"
      />
    </action>

    <action
      path="/sys/article/searchCheckArticlesByColumnStatus"
      type="cn.com.xunuo.webapp.action.ArticleAction"
      name="articleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="sysErrorPage"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
		name = "notAssignColumn"
		path = "/sys/program/notAssignColumn.jsp"
		redirect="false"
		/>
	 <forward
        name="input"
        path="/sys/article/articleCheckSearchInput.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/article/articleCheckSearchCheck.jsp"
        redirect="false"
      />
    </action>
    <action
      path="/sys/article/searchArticle"
      type="cn.com.xunuo.webapp.action.ArticleAction"
      name="articleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/article/articleindex.jsp"
        redirect="false"
      />

    </action>
	<!--Article Search the function -->
    <action
      path="/sys/article/findArticle"
      type="cn.com.xunuo.webapp.action.ArticleAction"
      name="articleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/article/articleindex.jsp"
        redirect="false"
      />
    </action>

	<!--Article Add the function -->
    <action
      path="/sys/article/addArticle"
      type="cn.com.xunuo.webapp.action.ArticleAction"
      name="articleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/article/articleedit.jsp"
        redirect="false"
      />
    </action>

	<!--Article Edit the function -->
    <action
      path="/sys/article/editArticle"
      type="cn.com.xunuo.webapp.action.ArticleAction"
      name="articleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/article/articleedit.jsp"
        redirect="false"
      />
    </action>

	<!--Article Delete the function -->
    <action
      path="/sys/article/deleteArticle"
      type="cn.com.xunuo.webapp.action.ArticleAction"
      name="articleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="check"
        path="/sys/article/gotoCheck.jsp"
        redirect="false"
      />
	  <forward
        name="input"
        path="/sys/article/goto.jsp"
        redirect="false"
      />
	  <forward
        name="error"
        path="/sys/login.jsp"
        redirect="false"
      />
    </action>

	<!--Article Save the function -->
    <action
      path="/sys/article/saveArticle"
      type="cn.com.xunuo.webapp.action.ArticleAction"
      name="articleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/article/articleedit.jsp"
        redirect="false"
      />
	  <forward
		name = "sysErrorPage"
		path = "/sys/goto.jsp"
		redirect="false"
		/>
	  <forward
		name = "sysErrorPage"
		path = "/sys/program/notAssignColumn.jsp"
		redirect="false"
		/>
	  <forward
        name="success"
        path="/sys/article/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Article View the function -->
    <action
      path="/sys/article/viewArticle"
      type="cn.com.xunuo.webapp.action.ArticleAction"
      name="articleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/article/articleview.jsp"
        redirect="false"
      />
    </action>

	<!--Article Upward movement  -->

    <action
      path="/sys/article/upArticleCheck"
      type="cn.com.xunuo.webapp.action.ArticleAction"
      name="articleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/article/gotoCheck.jsp"
        redirect="false"
      />
    </action>

	<!--Article To the mobile   -->
    <action
      path="/sys/article/downArticleCheck"
      type="cn.com.xunuo.webapp.action.ArticleAction"
      name="articleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/article/gotoCheck.jsp"
        redirect="false"
      />
    </action>
    <action
      path="/sys/article/upArticle"
      type="cn.com.xunuo.webapp.action.ArticleAction"
      name="articleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/article/goto.jsp"
        redirect="false"
      />
    </action>
	<!--Article To the mobile   -->
    <action
      path="/sys/article/downArticle"
      type="cn.com.xunuo.webapp.action.ArticleAction"
      name="articleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/article/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Article Movent   -->
    <action
      path="/sys/article/moveArticle"
      type="cn.com.xunuo.webapp.action.ArticleAction"
      name="articleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="window"
        path="/sys/article/articleMoveWindow.jsp"
        redirect="false"
      />
	<forward
        name="iframe"
        path="/sys/article/articleMoveIframe.jsp"
        redirect="false"
      />
	<forward
        name="sysSysError"
        path="/sys/logon.jsp"
        redirect="false"
      />
	<forward
        name="view"
        path="/sys/article/articleMove.jsp"
        redirect="false"
      />
	<forward
        name="success"
        path="/sys/article/goto.jsp"
        redirect="false"
      />
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  </action>

   <!-- Article end   -->


   <!-- Browser start -->
	<!--Browser Unconditional search -->
    <action
      path="/sys/browser/searchBrowser"
      type="cn.com.xunuo.webapp.action.BrowserAction"
      name="browserForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	  <forward
        name="success"
        path="/sys/browser/browserindex.jsp"
        redirect="false"
      />
    </action>
	<!--Browser Search the function -->
    <action
      path="/sys/browser/findBrowser"
      type="cn.com.xunuo.webapp.action.BrowserAction"
      name="browserForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="sysErrorPage"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/browser/browserindex.jsp"
        redirect="false"
      />
    </action>

	<!--Browser Add the function -->
    <action
      path="/sys/browser/addBrowser"
      type="cn.com.xunuo.webapp.action.BrowserAction"
      name="browserForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	  <forward
        name="success"
        path="/sys/browser/browseredit.jsp"
        redirect="false"
      />
    </action>

	<!--Browser Edit the function -->
    <action
      path="/sys/browser/editBrowser"
      type="cn.com.xunuo.webapp.action.BrowserAction"
      name="browserForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/browser/browseredit.jsp"
        redirect="false"
      />
    </action>

	<!--Browser Delete the function -->
    <action
      path="/sys/browser/deleteBrowser"
      type="cn.com.xunuo.webapp.action.BrowserAction"
      name="browserForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/browser/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Browser Save the function -->
    <action
      path="/sys/browser/saveBrowser"
      type="cn.com.xunuo.webapp.action.BrowserAction"
      name="browserForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/browser/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Browser View the function -->
    <action
      path="/sys/browser/viewBrowser"
      type="cn.com.xunuo.webapp.action.BrowserAction"
      name="browserForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/browser/browserview.jsp"
        redirect="false"
      />
    </action>

	<!--Browser Upward movement  -->
    <action
      path="/sys/browser/upBrowser"
      type="cn.com.xunuo.webapp.action.BrowserAction"
      name="browserForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/browser/goto.jsp"
        redirect="false"
      />
    </action>

	<!--Browser To the mobile   -->
    <action
      path="/sys/browser/downBrowser"
      type="cn.com.xunuo.webapp.action.BrowserAction"
      name="browserForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="input"
        path="/sys/login.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/sys/browser/goto.jsp"
        redirect="false"
      />
    </action>

   <!-- Browser end   -->

    <!-- Forward to page to sys main.jsp -->
    <action path="/sys/main" type="org.apache.struts.actions.ForwardAction"
        parameter="/sys/main.jsp"/>

  </action-mappings>
</struts-config>
